Skip to main content

Remove credentials from an access policy

PUT 

/api/v1/AccessControlPolicy/:policyId/Credential/Remove

Removes credentials or credential groups from a Credential based access policy and returns how many items passed and how many failed. Items that exist but are not in the policy count as passed. Items sent as 2 (HostUser) are not removed and are counted as failed.

Permission required: Administrator.

Values for entityType: 0 = Credential, 1 = CredentialGroup, 2 = HostUser.

Request​

Responses​

The result: passed (number of items changed), failed (number of items not changed) and report (a list of messages, which this route leaves empty).